Batch Create
POST
https://api.mpay.com.au/receivables/v1/batchCreate
200successful validation
curl --request POST \
--url https://api.mpay.com.au/receivables/v1/batchCreate \
--header 'accept: application/json'The batch create API has the same functionality as the /receivables/v1/create endpoint however it allows you to create up to 50,000 accounts in a single call by submitting a file. We recommend this for circumstances where more than 100 accounts need to be created within a short time period. Creation of accounts with isActive=true is restricted to 1000. Multiple batches cannot be requested at the same time, you have to wait for the completion of a batch before requesting a new one. The Batch Create API also supports a lightweight option whereby many accounts can be created by submitting a single line. This option automatically sets isActive = true, hence you can only request the creation of 1000 accounts in one request. For this method, all accounts will be created with the same specified name, and clientuniqueid’s cannot be specified will be automatically generated.
curl --request POST \
--url https://api.mpay.com.au/receivables/v1/batchCreate \
--header 'accept: application/json'